<ion-header no-padding>
  <ion-toolbar>
    <ion-buttons size="small" slot="start">
      <ion-back-button icon="arrow-round-back" color="primary"> </ion-back-button>
    </ion-buttons>
    <ion-title style="font-size: 18px" color="primary">Post Image</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content fullscreen class="ion-padding" scroll-y="true">
  <div class="default_image" *ngIf="imageDirectory == null" style="height:100%">
    <ion-img *ngIf=" imageDirectory == null" src="../../../../assets/images/insert-image.png" style="width:100%;height:100%;"></ion-img>
  </div>
  <div class="forms ion-padding" *ngIf="imageDirectory != null">
      <div class=" image">
          <img [lazyLoad]="imageDirectory"/>
      </div>
      <form [formGroup]="post_form" (ngSubmit)="startUpload()">
        <div class="details">
          <ion-item lines="none">
            <ion-select placeholder="Select Board" formControlName="board_id"  okText="Okay" cancelText="Dismiss">
              <div *ngFor="let board of boards$ | async">
                  <ion-select-option  *ngIf="userId == board.owned_by.id "  [value]="board.id">{{board.name}}</ion-select-option>
              </div>
          </ion-select>
        </ion-item>
        <ion-item lines="none">
            <ion-textarea placeholder="Caption" formControlName="caption"></ion-textarea>
        </ion-item>
        <div class="submit">
          <ion-button shape="round" expand ="block" type="submit">Upload</ion-button>
        </div>
        </div>
      </form>
    </div>
    <ion-fab horizontal="end" vertical="bottom" slot="fixed">
      <ion-fab-button color="light" >
        <ion-icon name=image></ion-icon>
      </ion-fab-button>
      <ion-fab-list side="start">
        <ion-fab-button color="light" (click)="openCamera()" >
          <ion-icon name="camera"></ion-icon>
        </ion-fab-button>
        <ion-fab-button color="light" (click)="openGallery()">
          <ion-icon name="image"></ion-icon>
        </ion-fab-button>
        <ion-fab-button color="light" (click)="createBoard()">
          <ion-icon name="albums"></ion-icon>
        </ion-fab-button>
      </ion-fab-list>
    </ion-fab>

</ion-content>
